#
# spec file for package korean-setup (Version 0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         korean-setup
Copyright:    GPL
Group:        Extensions/Korean
Provides:     korean-support
Autoreqprov:  on
Summary:      A set of system configuration for korean environment.
Version:      0.1
Release:      110
BuildRoot:    %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
This package contains a set of very important system configuration
and setup files.

Authors:
--------
    Hwang, Sang-Jin <violiet@suse.de>

SuSE series: han

%prep
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi

%install
mkdir -p %{buildroot}/etc/profile.d
cat > $RPM_BUILD_ROOT/etc/profile.d/z_korean.csh <<EOF
# /etc/profile.d/korean.csh - set korean environment.
if ( \$?TERM && \$TERM == "linux" ) then
	setenv LC_MESSAGES C
	setenv LC_TIME C
else
	unsetenv LC_MESSAGES
	unsetenv LC_TIME
endif
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/z_korean.sh <<EOF
# /etc/profile.d/korean.sh - set korean environment.
if [ "\$TERM" = "linux" ]; then
	export LC_MESSAGES=C
	export LC_TIME=C
else
	unset LC_MESSAGES
	unset LC_TIME
fi
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/z_guessfont.csh <<EOF
# /etc/profile.d/z_guessfont.csh - set korean guessfont environment.
#
# example) XADDFONTSET_FOUNDRY * 
#          XADDFONTSET_FAMILY gulim 
#          XADDFONTSET_WEIGHT medium
#          XADDFONTSET_SLANT r 
#          XADDFONTSET_PIXEL_SIZE 12
#
# display) -*-gulim-medium-r-*-*-12-*-*-*-*-*-*-*
#
XADDFONTSET_FOUNDRY *
XADDFONTSET_FAMILY gulim
XADDFONTSET_WEIGHT medium
XADDFONTSET_SLANT r
XADDFONTSET_PIXEL_SIZE 12
setenv XADDFONTSET_FOUNDRY XADDFONTSET_FAMILY XADDFONTSET_WEIGHT XADDFONTSET_SLANT XADDFONTSET_PIXEL_SIZE
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/z_guessfont.sh <<EOF
# /etc/profile.d/z_guessfont.sh - set korean guessfont environment.
#
# example) XADDFONTSET_FOUNDRY=*
#          XADDFONTSET_FAMILY=gulim
#          XADDFONTSET_WEIGHT=medium
#          XADDFONTSET_SLANT=r
#          XADDFONTSET_PIXEL_SIZE=12
#
# display) -*-gulim-medium-r-*-*-12-*-*-*-*-*-*-*
#
XADDFONTSET_FOUNDRY=*
XADDFONTSET_FAMILY=gulim
XADDFONTSET_WEIGHT=medium
XADDFONTSET_SLANT=r
XADDFONTSET_PIXEL_SIZE=12
export XADDFONTSET_FOUNDRY XADDFONTSET_FAMILY XADDFONTSET_WEIGHT XADDFONTSET_SLANT XADDFONTSET_PIXEL_SIZE
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/z_korean-keyboard.csh <<EOF
# /etc/profile.d/z_korean-keyboard.csh - set korean keyboard type environment.
setenv HANGUL_KEYBOARD_TYPE 2
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/z_korean-keyboard.sh <<EOF
# /etc/profile.d/z_korean-keyboard.sh - set korean keyboard type environment.
export HANGUL_KEYBOARD_TYPE=2
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/z_korean-ps.csh <<EOF
# /etc/profile.d/z_korean-ps.csh - set korean ps font environment.
setenv QT_HANGUL_PS_FONT Munhwa-Regular-KSC-EUC-H
EOF
cat > $RPM_BUILD_ROOT/etc/profile.d/z_korean-ps.sh <<EOF
# /etc/profile.d/z_korean-ps.sh - set korean ps font environment.
export QT_HANGUL_PS_FONT=Munhwa-Regular-KSC-EUC-H
EOF

%clean
rm -rf %{buildroot}

%files -n korean-setup
/etc/profile.d/*

%changelog -n korean-setup
* Sun Jan 21 2001 - violiet@suse.de
- new package korean-setup version to 0.1
